org.apache.ignite.internal.processors.cache

## Class GridCacheAdapter.UpdateTimeStatClosure<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure<T>

All Implemented Interfaces:
  Serializable, CI1<IgniteInternalFuture<T>>, IgniteInClosure<IgniteInternalFuture<T>>

Direct Known Subclasses:
  GridCacheAdapter.InvokeAllTimeStatClosure, GridCacheAdapter.UpdateGetTimeStatClosure, GridCacheAdapter.UpdatePutAndGetTimeStatClosure, GridCacheAdapter.UpdatePutTimeStatClosure, GridCacheAdapter.UpdateRemoveTimeStatClosure

Enclosing class:
  GridCacheAdapter<K,V>

    protected abstract static class GridCacheAdapter.UpdateTimeStatClosure<T>
    extends Object
    implements CI1<IgniteInternalFuture<T>>

See Also:
  Serialized Form

### Field Summary

Fields
`protected CacheMetricsImpl` `metrics`
`protected long` `start`

### Constructor Summary

Constructors
Constructor and Description
`UpdateTimeStatClosure(CacheMetricsImpl metrics, long start)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `apply(IgniteInternalFuture<T> fut)` Closure body.
`protected abstract void` `updateTimeStat()` Updates statistics.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### metrics

    protected final CacheMetricsImpl metrics

#### start

    protected final long start

### Constructor Detail

#### UpdateTimeStatClosure

    public UpdateTimeStatClosure(CacheMetricsImpl metrics,
                                 long start)

Parameters:
  `metrics` - Metrics.
  `start` - Start time.

### Method Detail

#### apply

    public void apply(IgniteInternalFuture<T> fut)

Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<IgniteInternalFuture<T>>`
Parameters:
  `fut` - Closure argument.

#### updateTimeStat

    protected abstract void updateTimeStat()

Updates statistics.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020